org.apache.cassandra.io.sstable

## Class SSTableLoader.Client

- java.lang.Object
- - org.apache.cassandra.io.sstable.SSTableLoader.Client

Direct Known Subclasses:
  NativeSSTableLoaderClient

Enclosing class:
  SSTableLoader

    public abstract static class SSTableLoader.Client
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`Client()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected void` `addRangeForEndpoint(Range<Token> range, java.net.InetAddress endpoint)`
`StreamConnectionFactory` `getConnectionFactory()` Provides connection factory.
`java.util.Map<java.net.InetAddress,java.util.Collection<Range<Token>>>` `getEndpointToRangesMap()`
`IPartitioner` `getPartitioner()`
`abstract CFMetaData` `getTableMetadata(java.lang.String tableName)` Validate that `keyspace` is an existing keyspace and `cfName` one of its existing column family.
`abstract void` `init(java.lang.String keyspace)` Initialize the client.
`protected void` `setPartitioner(IPartitioner partitioner)`
`protected void` `setPartitioner(java.lang.String partclass)`
`void` `setTableMetadata(CFMetaData cfm)`
`void` `stop()` Stop the client.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Client

    public Client()

### Method Detail

#### init

    public abstract void init(java.lang.String keyspace)

Initialize the client. Perform any step necessary so that after the call to the this method: * partitioner is initialized * getEndpointToRangesMap() returns a correct map This method is guaranteed to be called before any other method of a client.

#### stop

    public void stop()

Stop the client.

#### getConnectionFactory

    public StreamConnectionFactory getConnectionFactory()

Provides connection factory. By default, it uses DefaultConnectionFactory.

Returns:
  StreamConnectionFactory to use

#### getTableMetadata

    public abstract CFMetaData getTableMetadata(java.lang.String tableName)

Validate that `keyspace` is an existing keyspace and `cfName` one of its existing column family.

#### setTableMetadata

    public void setTableMetadata(CFMetaData cfm)

#### getEndpointToRangesMap

    public java.util.Map<java.net.InetAddress,java.util.Collection<Range<Token>>> getEndpointToRangesMap()

#### setPartitioner

    protected void setPartitioner(java.lang.String partclass)
                           throws ConfigurationException

Throws:
  `ConfigurationException`

#### setPartitioner

    protected void setPartitioner(IPartitioner partitioner)

#### getPartitioner

    public IPartitioner getPartitioner()

#### addRangeForEndpoint

    protected void addRangeForEndpoint(Range<Token> range,
                                       java.net.InetAddress endpoint)